Package javassist.bytecode.analysis

# Class FramePrinter

java.lang.Object
javassist.bytecode.analysis.FramePrinter

public final class FramePrinter extends Object
A utility class for printing a merged view of the frame state and the instructions of a method.

Author:
  Jason T. Greene

## Constructor Summary

Constructors
Constructor
Description
`FramePrinter(PrintStream stream)`
Constructs a bytecode printer.

## Method Summary

Modifier and Type
Method
Description
`void`
`print(CtClass clazz)`
Prints all the methods declared in the given class.
`static void`
`print(CtClass clazz, PrintStream stream)`
Prints all the methods declared in the given class.
`void`
`print(CtMethod method)`
Prints the instructions and the frame states of the given method.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FramePrinter

public FramePrinter(PrintStream stream)
Constructs a bytecode printer.

## Method Details

### print

public static void print(CtClass clazz, PrintStream stream)
Prints all the methods declared in the given class.

### print

public void print(CtClass clazz)
Prints all the methods declared in the given class.

### print

public void print(CtMethod method)
Prints the instructions and the frame states of the given method.